diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-reception-test.cc ns-3.44/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-reception-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -3659,14 +3661,14 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(18.0),
+    Simulator::Schedule(Seconds(18),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(18.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(18) + MicroSeconds(25),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3709,14 +3711,14 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(19.0),
+    Simulator::Schedule(Seconds(19),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(19.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(19) + MicroSeconds(25),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3759,17 +3761,17 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(20.0),
+    Simulator::Schedule(Seconds(20),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(20.0) + MicroSeconds(100),
+    Simulator::Schedule(Seconds(20) + MicroSeconds(100),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received with errors.
@@ -3810,14 +3812,14 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(21.0),
+    Simulator::Schedule(Seconds(21),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(21.0) + MicroSeconds(100),
+    Simulator::Schedule(Seconds(21) + MicroSeconds(100),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3860,14 +3862,14 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(22.0),
+    Simulator::Schedule(Seconds(22),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(22.0) + MicroSeconds(100),
+    Simulator::Schedule(Seconds(22) + MicroSeconds(100),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3909,14 +3911,14 @@
     ///////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(23.0),
+    Simulator::Schedule(Seconds(23),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(23.0) + NanoSeconds(1100000),
+    Simulator::Schedule(Seconds(23) + NanoSeconds(1100000),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3960,10 +3962,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Unsupported Modulation Reception Test
+ * @brief Unsupported Modulation Reception Test
  * This test creates a mixed network, in which an HE STA and a VHT
  * STA are associated to an HE AP and send uplink traffic. In the
  * simulated deployment the VHT STA's backoff will expire while the
@@ -3990,9 +3992,9 @@
 
     /**
      * Callback invoked when PHY drops an incoming packet
-     * \param context the context
-     * \param packet the packet that was dropped
-     * \param reason the reason the packet was dropped
+     * @param context the context
+     * @param packet the packet that was dropped
+     * @param reason the reason the packet was dropped
      */
     void Dropped(std::string context, Ptr<const Packet> packet, WifiPhyRxfailureReason reason);
     /**
@@ -4129,7 +4131,7 @@
         client->SetRemote(socket);
         wifiStaNodes.Get(i)->AddApplication(client);
         client->SetStartTime(MicroSeconds(400000));
-        client->SetStopTime(Seconds(1.0));
+        client->SetStopTime(Seconds(1));
         Ptr<PacketSocketClient> legacyStaClient = CreateObject<PacketSocketClient>();
         legacyStaClient->SetAttribute("PacketSize", UintegerValue(1500));
         legacyStaClient->SetAttribute("MaxPackets", UintegerValue(200));
@@ -4137,12 +4139,12 @@
         legacyStaClient->SetRemote(socket);
         wifiStaNodes.Get(i)->AddApplication(legacyStaClient);
         legacyStaClient->SetStartTime(MicroSeconds(400000));
-        legacyStaClient->SetStopTime(Seconds(1.0));
+        legacyStaClient->SetStopTime(Seconds(1));
         Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
         server->SetLocal(socket);
         wifiApNode.Get(0)->AddApplication(server);
-        server->SetStartTime(Seconds(0.0));
-        server->SetStopTime(Seconds(1.0));
+        server->SetStartTime(Seconds(0));
+        server->SetStopTime(Seconds(1));
     }
 
     // Trace dropped packets
@@ -4164,10 +4166,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Unsupported Bandwidth Reception Test
+ * @brief Unsupported Bandwidth Reception Test
  * This test checks whether a PHY receiving a PPDU sent over a channel width
  * larger than the one supported by the PHY is getting dropped at the expected
  * time. The expected time corresponds to the moment the PHY header indicating
@@ -4187,42 +4189,42 @@
     /**
      * Function to create a PPDU
      *
-     * \param centerFreq the center frequency used for the transmission of the PPDU
-     * \param bandwidth the bandwidth used for the transmission of the PPDU
+     * @param centerFreq the center frequency used for the transmission of the PPDU
+     * @param bandwidth the bandwidth used for the transmission of the PPDU
      */
     void SendPpdu(MHz_u centerFreq, MHz_u bandwidth);
 
     /**
      * Function called upon a PSDU received successfully
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
 
     /**
      * Function called upon a PSDU received unsuccessfuly
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailure(Ptr<const WifiPsdu> psdu);
 
     /**
      * Function called upon a PSDU dropped by the PHY
-     * \param packet the packet that was dropped
-     * \param reason the reason the packet was dropped
+     * @param packet the packet that was dropped
+     * @param reason the reason the packet was dropped
      */
     void RxDropped(Ptr<const Packet> packet, WifiPhyRxfailureReason reason);
 
     /**
      * Check the reception results
-     * \param expectedCountRxSuccess the expected number of RX success
-     * \param expectedCountRxFailure the expected number of RX failure
-     * \param expectedCountRxDropped the expected number of RX drop
-     * \param expectedLastRxSucceeded the expected time the last RX success occurred or std::nullopt
+     * @param expectedCountRxSuccess the expected number of RX success
+     * @param expectedCountRxFailure the expected number of RX failure
+     * @param expectedCountRxDropped the expected number of RX drop
+     * @param expectedLastRxSucceeded the expected time the last RX success occurred or std::nullopt
      * if the expected number of RX success is not strictly positive \param expectedLastRxFailed the
      * expected time the last RX failure occurred or std::nullopt if the expected number of RX
      * failure is not strictly positive \param expectedLastRxDropped the expected time the last RX
@@ -4280,14 +4282,15 @@
 
     Ptr<WifiPsdu> psdu = Create<WifiPsdu>(pkt, hdr);
     Time txDuration =
-        m_rxPhy->CalculateTxDuration(psdu->GetSize(), txVector, m_rxPhy->GetPhyBand());
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_rxPhy->GetPhyBand());
 
     auto ppdu = Create<HePpdu>(psdu, txVector, m_txPhy->GetOperatingChannel(), txDuration, 0);
 
-    auto txPowerSpectrum = WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(centerFreq,
-                                                                                       bandwidth,
-                                                                                       DbmToW(-50),
-                                                                                       bandwidth);
+    auto txPowerSpectrum =
+        WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(centerFreq,
+                                                                    bandwidth,
+                                                                    DbmToW(dBm_u{-50}),
+                                                                    bandwidth);
 
     auto txParams = Create<WifiSpectrumSignalParameters>();
     txParams->psd = txPowerSpectrum;
@@ -4301,8 +4304,8 @@
 void
 TestUnsupportedBandwidthReception::RxSuccess(Ptr<const WifiPsdu> psdu,
                                              RxSignalInfo rxSignalInfo,
-                                             WifiTxVector txVector,
-                                             std::vector<bool> statusPerMpdu)
+                                             const WifiTxVector& txVector,
+                                             const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccess++;
@@ -4434,9 +4437,13 @@
     m_txPhy->SetOperatingChannel(WifiPhy::ChannelTuple{38, 40, WIFI_PHY_BAND_5GHZ, 0});
     m_rxPhy->SetOperatingChannel(WifiPhy::ChannelTuple{36, 20, WIFI_PHY_BAND_5GHZ, 0});
 
-    Simulator::Schedule(Seconds(1.0), &TestUnsupportedBandwidthReception::SendPpdu, this, 5190, 40);
+    Simulator::Schedule(Seconds(1),
+                        &TestUnsupportedBandwidthReception::SendPpdu,
+                        this,
+                        MHz_u{5190},
+                        MHz_u{40});
 
-    auto heSigAExpectedRxTime = Seconds(1.0) + MicroSeconds(32);
+    auto heSigAExpectedRxTime = Seconds(1) + MicroSeconds(32);
     Simulator::Schedule(Seconds(1.5),
                         &TestUnsupportedBandwidthReception::CheckRx,
                         this,
@@ -4454,10 +4461,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Primary 20 MHz Covered By Ppdu Test
+ * @brief Primary 20 MHz Covered By Ppdu Test
  * This test checks whether the functions WifiPpdu::DoesOverlapChannel and
  * WifiPpdu::DoesCoverChannel are returning the expected results.
  */
@@ -4474,21 +4481,21 @@
     /**
      * Function to create a PPDU
      *
-     * \param ppduCenterFreq the center frequency used for the transmission of the PPDU
-     * \return the created PPDU
+     * @param ppduCenterFreq the center frequency used for the transmission of the PPDU
+     * @return the created PPDU
      */
     Ptr<HePpdu> CreatePpdu(MHz_u ppduCenterFreq);
 
     /**
      * Run one function
      *
-     * \param band the PHY band to use
-     * \param phyCenterFreq the operating center frequency of the PHY
-     * \param p20Index the primary20 index
-     * \param ppduCenterFreq the center frequency used for the transmission of the PPDU
-     * \param expectedP20Overlap flag whether the primary 20 MHz channel is expected to be fully
+     * @param band the PHY band to use
+     * @param phyCenterFreq the operating center frequency of the PHY
+     * @param p20Index the primary20 index
+     * @param ppduCenterFreq the center frequency used for the transmission of the PPDU
+     * @param expectedP20Overlap flag whether the primary 20 MHz channel is expected to be fully
      * covered by the bandwidth of the incoming PPDU
-     * \param expectedP20Covered flag whether the
+     * @param expectedP20Covered flag whether the
      * primary 20 MHz channel is expected to overlap with the bandwidth of the incoming PPDU
      */
     void RunOne(WifiPhyBand band,
@@ -4513,7 +4520,7 @@
 {
     const auto& channelInfo = (*WifiPhyOperatingChannel::FindFirst(0,
                                                                    ppduCenterFreq,
-                                                                   0,
+                                                                   MHz_u{0},
                                                                    WIFI_STANDARD_80211ax,
                                                                    m_rxPhy->GetPhyBand()));
     m_txPhy->SetOperatingChannel(
@@ -4532,7 +4539,8 @@
     WifiMacHeader hdr(WIFI_MAC_QOSDATA);
 
     auto psdu = Create<WifiPsdu>(pkt, hdr);
-    auto txDuration = m_txPhy->CalculateTxDuration(psdu->GetSize(), txVector, channelInfo.band);
+    auto txDuration =
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, channelInfo.band);
 
     return Create<HePpdu>(psdu, txVector, m_txPhy->GetOperatingChannel(), txDuration, 0);
 }
@@ -4574,14 +4582,17 @@
                                    bool expectedP20Overlap,
                                    bool expectedP20Covered)
 {
-    const auto& channelInfo =
-        (*WifiPhyOperatingChannel::FindFirst(0, phyCenterFreq, 0, WIFI_STANDARD_80211ax, band));
+    const auto& channelInfo = (*WifiPhyOperatingChannel::FindFirst(0,
+                                                                   phyCenterFreq,
+                                                                   MHz_u{0},
+                                                                   WIFI_STANDARD_80211ax,
+                                                                   band));
 
     m_rxPhy->SetOperatingChannel(
         WifiPhy::ChannelTuple{channelInfo.number, channelInfo.width, channelInfo.band, p20Index});
-    auto p20CenterFreq = m_rxPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(20);
-    auto p20MinFreq = p20CenterFreq - 10;
-    auto p20MaxFreq = p20CenterFreq + 10;
+    auto p20CenterFreq = m_rxPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(MHz_u{20});
+    auto p20MinFreq = p20CenterFreq - MHz_u{10};
+    auto p20MaxFreq = p20CenterFreq + MHz_u{10};
 
     auto ppdu = CreatePpdu(ppduCenterFreq);
 
@@ -4608,7 +4619,7 @@
      * Overlap with primary 20 MHz: yes
      * Primary 20 MHz fully covered: yes
      */
-    RunOne(WIFI_PHY_BAND_2_4GHZ, 2427, 0, 2427, true, true);
+    RunOne(WIFI_PHY_BAND_2_4GHZ, MHz_u{2427}, 0, MHz_u{2427}, true, true);
 
     /*
      * Receiver PHY Operating Channel: 2.4 GHz Channel 4 (2417 MHz – 2437 MHz)
@@ -4616,7 +4627,7 @@
      * Overlap with primary 20 MHz: yes
      * Primary 20 MHz fully covered: no
      */
-    RunOne(WIFI_PHY_BAND_2_4GHZ, 2427, 0, 2437, true, false);
+    RunOne(WIFI_PHY_BAND_2_4GHZ, MHz_u{2427}, 0, MHz_u{2437}, true, false);
 
     /*
      * Receiver PHY Operating Channel: 5 GHz Channel 36 (5170 MHz – 5190 MHz)
@@ -4624,7 +4635,7 @@
      * Overlap with primary 20 MHz: yes
      * Primary 20 MHz fully covered: yes
      */
-    RunOne(WIFI_PHY_BAND_5GHZ, 5180, 0, 5190, true, true);
+    RunOne(WIFI_PHY_BAND_5GHZ, MHz_u{5180}, 0, MHz_u{5190}, true, true);
 
     /*
      * Receiver PHY Operating Channel: 5 GHz Channel 36 (5170 MHz–5190 MHz)
@@ -4632,7 +4643,7 @@
      * Overlap with primary 20 MHz: no
      * Primary 20 MHz fully covered: no
      */
-    RunOne(WIFI_PHY_BAND_5GHZ, 5180, 0, 5200, false, false);
+    RunOne(WIFI_PHY_BAND_5GHZ, MHz_u{5180}, 0, MHz_u{5200}, false, false);
 
     /*
      * Receiver PHY Operating Channel: 5 GHz Channel 38 (5170 MHz – 5210 MHz) with P20 index 0
@@ -4640,7 +4651,7 @@
      * Overlap with primary 20 MHz: yes
      * Primary 20 MHz fully covered: yes
      */
-    RunOne(WIFI_PHY_BAND_5GHZ, 5190, 0, 5180, true, true);
+    RunOne(WIFI_PHY_BAND_5GHZ, MHz_u{5190}, 0, MHz_u{5180}, true, true);
 
     /*
      * Receiver PHY Operating Channel: 5 GHz Channel 38 (5170 MHz – 5210 MHz) with P20 index 1
@@ -4648,16 +4659,16 @@
      * Overlap with primary 20 MHz: no
      * Primary 20 MHz fully covered: no
      */
-    RunOne(WIFI_PHY_BAND_5GHZ, 5190, 1, 5180, false, false);
+    RunOne(WIFI_PHY_BAND_5GHZ, MHz_u{5190}, 1, MHz_u{5180}, false, false);
 
     Simulator::Destroy();
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief This test verifies the correct function of the WifiBandwidthFilter. 2 SpectrumWifiPhy are
+ * @brief This test verifies the correct function of the WifiBandwidthFilter. 2 SpectrumWifiPhy are
  * setup and connected on the same spectrum channel. The test will
  * send a packet over the channel and if the signal plus guardband overlaps the channel the
  * filter will not discard the signal but if there is no overlap the filter will filter it out.
@@ -4668,8 +4679,8 @@
     /**
      * Constructor
      *
-     * \param channel channel to be used by transmitter
-     * \param expectedValue expected number of received packets
+     * @param channel channel to be used by transmitter
+     * @param expectedValue expected number of received packets
      */
     TestSpectrumChannelWithBandwidthFilter(uint8_t channel, uint16_t expectedValue);
 
@@ -4681,10 +4692,10 @@
     /**
      * Callback invoked when the PHY model starts to process a signal
      *
-     * \param signal the arriving signal
-     * \param senderNodeId node Id of the sender of the signal
-     * \param rxPower received signal power
-     * \param duration signal duration
+     * @param signal the arriving signal
+     * @param senderNodeId node Id of the sender of the signal
+     * @param rxPower received signal power
+     * @param duration signal duration
      */
     void RxBegin(Ptr<const SpectrumSignalParameters> signal,
                  uint32_t senderNodeId,
@@ -4699,7 +4710,7 @@
     /**
      * Event scheduled at end of simulation for validation
      *
-     * \param expectedValue expected number of receive events
+     * @param expectedValue expected number of receive events
      */
     void CheckRxPacketCount(uint16_t expectedValue);
 
@@ -4731,7 +4742,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          false);
 
     Ptr<Packet> pkt = Create<Packet>(1000);
@@ -4776,8 +4787,8 @@
     Ptr<WifiNetDevice> dev = CreateObject<WifiNetDevice>();
     m_tx = CreateObject<SpectrumWifiPhy>();
     m_tx->SetDevice(dev);
-    m_tx->SetTxPowerStart(20);
-    m_tx->SetTxPowerEnd(20);
+    m_tx->SetTxPowerStart(dBm_u{20});
+    m_tx->SetTxPowerEnd(dBm_u{20});
 
     Ptr<Node> nodeRx = CreateObject<Node>();
     Ptr<WifiNetDevice> devRx = CreateObject<WifiNetDevice>();
@@ -4835,10 +4846,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief This test verifies that the WifiPhyRxfailureReason distinguishes between two cases:  1) a
+ * @brief This test verifies that the WifiPhyRxfailureReason distinguishes between two cases:  1) a
  * drop due to transmitting during the signal detection interval, and 2) a drop due to transmitting
  * after the receiver has detected a preamble but is waiting for the end of the preamble. 2
  * SpectrumWifiPhy are setup and connected on the same spectrum channel. The test will send a packet
@@ -4853,8 +4864,8 @@
     /**
      * Constructor
      *
-     * \param delay delay in microseconds to send second packet
-     * \param expectedReason expected failure reason
+     * @param delay delay in microseconds to send second packet
+     * @param expectedReason expected failure reason
      */
     TestPhyDropDueToTx(Time delay, WifiPhyRxfailureReason expectedReason);
 
@@ -4865,14 +4876,14 @@
   private:
     /**
      * RX dropped function
-     * \param p the packet
-     * \param reason the reason
+     * @param p the packet
+     * @param reason the reason
      */
     void PhyDropTraceSink(Ptr<const Packet> p, WifiPhyRxfailureReason reason);
 
     /**
      * Send function (sends a single packet)
-     * \param phy the WifiPhy object to send the packet
+     * @param phy the WifiPhy object to send the packet
      */
     void Send(Ptr<WifiPhy> phy) const;
 
@@ -4909,7 +4920,7 @@
                                        1,
                                        1,
                                        0,
-                                       20,
+                                       MHz_u{20},
                                        false);
 
     auto pkt = Create<Packet>(1000);
@@ -4947,15 +4958,15 @@
     auto devA = CreateObject<WifiNetDevice>();
     m_phyA = CreateObject<SpectrumWifiPhy>();
     m_phyA->SetDevice(devA);
-    m_phyA->SetTxPowerStart(20);
-    m_phyA->SetTxPowerEnd(20);
+    m_phyA->SetTxPowerStart(dBm_u{20});
+    m_phyA->SetTxPowerEnd(dBm_u{20});
 
     auto nodeRx = CreateObject<Node>();
     auto devB = CreateObject<WifiNetDevice>();
     m_phyB = CreateObject<SpectrumWifiPhy>();
     m_phyB->SetDevice(devB);
-    m_phyB->SetTxPowerStart(20);
-    m_phyB->SetTxPowerEnd(20);
+    m_phyB->SetTxPowerStart(dBm_u{20});
+    m_phyB->SetTxPowerEnd(dBm_u{20});
 
     auto interferenceTx = CreateObject<InterferenceHelper>();
     m_phyA->SetInterferenceHelper(interferenceTx);
@@ -5010,10 +5021,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi PHY reception Test Suite
+ * @brief wifi PHY reception Test Suite
  */
 class WifiPhyReceptionTestSuite : public TestSuite
 {
